<Project Sdk="Microsoft.NET.Sdk">

    <PropertyGroup>
        <TargetFramework>net10.0</TargetFramework>
        <ImplicitUsings>enable</ImplicitUsings>
        <Nullable>enable</Nullable>
    </PropertyGroup>

    <ItemGroup>
        <PackageReference Include="Dapper" Version="2.1.35" />
        <PackageReference Include="Npgsql" Version="9.0.2" />
        <PackageReference Include="dbup-postgresql" Version="6.0.3" />
        <PackageReference Include="Microsoft.Extensions.Configuration.Abstractions" Version="10.0.7" />
        <PackageReference Include="Microsoft.Extensions.Logging.Abstractions" Version="10.0.7" />
    </ItemGroup>

    <ItemGroup>
        <ProjectReference Include="..\SatelliteProvider.Common\SatelliteProvider.Common.csproj" />
    </ItemGroup>

    <ItemGroup>
        <EmbeddedResource Include="Migrations\*.sql" />
    </ItemGroup>

</Project>
